﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class Reloader : MonoBehaviour
{
    GameObject player;
    public Text gameOver;

    // Use this for initialization
    void Start()
    {
        player = GameObject.FindGameObjectWithTag("Player");
        gameOver.enabled = false;
    }

    // Update is called once per frame
    void Update()
    {
        if (player != isActiveAndEnabled)
        {
            if (Input.GetButtonDown("Submit"))
            {
                SceneManager.LoadScene("test");
            }
            if (Input.GetKeyDown(KeyCode.Escape))
            {
                Application.Quit();
            }

            gameOver.enabled = true;
        }
    }
}
