﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Spawner : MonoBehaviour
{
    public GameObject wave;
    public AudioClip waveSound;
    private int waveCount;
    public Text score;
    GameObject player;

    void Start()
    {
        Cursor.visible = false;
        waveCount = 0;
        InvokeRepeating("SpawnWave", 2, 2);
        ScoreCount();
        player = GameObject.FindGameObjectWithTag("Player");
	}
	
	void SpawnWave()
    {
        Instantiate(wave);
        GetComponent<AudioSource>().PlayOneShot(waveSound);
        if (player == isActiveAndEnabled)
        {
            waveCount += 1;
            ScoreCount();
        }
    }

    void ScoreCount()
    {
        score.text = "Waves:" + waveCount.ToString();
    }
}
